=== modified file 'plugin/schema_dictionary/dictionary.cc'
--- plugin/schema_dictionary/dictionary.cc	2010-03-31 19:14:14 +0000
+++ plugin/schema_dictionary/dictionary.cc	2010-03-31 19:46:42 +0000
@@ -23,50 +23,20 @@
 
 using namespace drizzled;
 
-static ColumnsTool *columns;
-static IndexPartsTool *index_parts;
-static IndexesTool *indexes;
-static ReferentialConstraintsTool *referential_constraints;
-static SchemasTool *schemas;
-static SchemaNames *schema_names;
-static ShowColumns *show_columns;
-static ShowIndexes *show_indexes;
-static TableConstraintsTool *table_constraints;
-static TablesTool *tables;
-static ShowTables *local_tables;
-static ShowTableStatus *table_status;
-static ShowTemporaryTables *show_temporary_tables;
-
-
 static int init(drizzled::plugin::Context &context)
 {
-  columns= new(std::nothrow)ColumnsTool;
-  index_parts= new(std::nothrow)IndexPartsTool;
-  indexes= new(std::nothrow)IndexesTool;
-  local_tables= new(std::nothrow)ShowTables;
-  referential_constraints= new(std::nothrow)ReferentialConstraintsTool;
-  schema_names= new(std::nothrow)SchemaNames;
-  schemas= new(std::nothrow)SchemasTool;
-  show_columns= new(std::nothrow)ShowColumns;
-  show_indexes= new(std::nothrow)ShowIndexes;
-  show_temporary_tables= new(std::nothrow)ShowTemporaryTables;
-  table_constraints= new(std::nothrow)TableConstraintsTool;
-  table_status= new(std::nothrow)ShowTableStatus;
-  tables= new(std::nothrow)TablesTool;
-
-  context.add(columns);
-  context.add(index_parts);
-  context.add(indexes);
-  context.add(local_tables);
-  context.add(referential_constraints);
-  context.add(schema_names);
-  context.add(schemas);
-  context.add(show_columns);
-  context.add(show_indexes);
-  context.add(show_temporary_tables);
-  context.add(table_constraints);
-  context.add(table_status);
-  context.add(tables);
+  context.add(new ColumnsTool());
+  context.add(new IndexPartsTool());
+  context.add(new IndexesTool());
+  context.add(new ShowTables());
+  context.add(new ReferentialConstraintsTool());
+  context.add(new SchemasTool());
+  context.add(new ShowColumns());
+  context.add(new ShowIndexes());
+  context.add(new ShowTemporaryTables());
+  context.add(new TableConstraintsTool());
+  context.add(new ShowTableStatus());
+  context.add(new TablesTool());
 
   context.add(new ShowSchemas());
   

=== modified file 'plugin/schema_dictionary/dictionary.h'
--- plugin/schema_dictionary/dictionary.h	2010-03-31 19:14:14 +0000
+++ plugin/schema_dictionary/dictionary.h	2010-03-31 19:46:42 +0000
@@ -38,9 +38,9 @@
 #include "plugin/schema_dictionary/index_parts.h"
 #include "plugin/schema_dictionary/referential_constraints.h"
 #include "plugin/schema_dictionary/table_constraints.h"
+
 #include "plugin/schema_dictionary/show_columns.h"
 #include "plugin/schema_dictionary/show_indexes.h"
-// Show tables needs to be first.
 #include "plugin/schema_dictionary/show_schemas.h"
 #include "plugin/schema_dictionary/show_tables.h"
 #include "plugin/schema_dictionary/show_table_status.h"

=== modified file 'plugin/schema_dictionary/schemas.cc'
--- plugin/schema_dictionary/schemas.cc	2010-03-31 05:53:34 +0000
+++ plugin/schema_dictionary/schemas.cc	2010-03-31 19:46:42 +0000
@@ -40,17 +40,6 @@
 {
 }
 
-/**
-  @note return true if a match occurs.
-*/
-bool SchemasTool::Generator::checkSchema()
-{
-  if (isWild(schema_name()))
-    return true;
-
-  return false;
-}
-
 bool SchemasTool::Generator::nextSchemaCore()
 {
   if (is_schema_primed)
@@ -78,9 +67,6 @@
     return false;
   }
 
-  if (checkSchema())
-      return false;
-
   return true;
 }
   

=== modified file 'plugin/schema_dictionary/schemas.h'
--- plugin/schema_dictionary/schemas.h	2010-03-31 05:53:34 +0000
+++ plugin/schema_dictionary/schemas.h	2010-03-31 19:46:42 +0000
@@ -46,7 +46,6 @@
     bool is_schema_parsed;
 
     virtual void fill();
-    virtual bool checkSchema();
 
   public:
     Generator(drizzled::Field **arg);
@@ -72,34 +71,4 @@
   }
 };
 
-class SchemaNames : public SchemasTool
-{
-public:
-  SchemaNames() :
-    SchemasTool("SCHEMA_NAMES")
-  {
-    add_field("SCHEMA_NAME");
-  }
-
-  class Generator : public SchemasTool::Generator 
-  {
-    void fill()
-    {
-      /* SCHEMA_NAME */
-      push(schema_name());
-    }
-
-  public:
-    Generator(drizzled::Field **arg) :
-      SchemasTool::Generator(arg)
-    { }
-  };
-
-  Generator *generator(drizzled::Field **arg)
-  {
-    return new Generator(arg);
-  }
-};
-
-
 #endif /* PLUGIN_SCHEMA_DICTIONARY_SCHEMAS_H */

=== modified file 'plugin/schema_dictionary/tests/r/data_dictionary.result'
--- plugin/schema_dictionary/tests/r/data_dictionary.result	2010-03-31 19:14:14 +0000
+++ plugin/schema_dictionary/tests/r/data_dictionary.result	2010-03-31 19:46:42 +0000
@@ -464,7 +464,6 @@
 #
 #
 #
-#
 SELECT count(*) FROM REFERENTIAL_CONSTRAINTS;
 count(*)
 #
@@ -546,11 +545,6 @@
   `SCHEMA_CREATION_TIME` varchar(64) NOT NULL DEFAULT '',
   `SCHEMA_UPDATE_TIME` varchar(64) NOT NULL DEFAULT ''
 ) ENGINE=FunctionEngine
-show create table SCHEMA_NAMES;
-Table	Create Table
-SCHEMA_NAMES	CREATE TABLE `schema_names` (
-  `SCHEMA_NAME` varchar(64) NOT NULL DEFAULT ''
-) ENGINE=FunctionEngine
 show create table TABLES ;
 Table	Create Table
 TABLES	CREATE TABLE `tables` (

=== modified file 'plugin/schema_dictionary/tests/t/data_dictionary.test'
--- plugin/schema_dictionary/tests/t/data_dictionary.test	2010-03-09 22:42:17 +0000
+++ plugin/schema_dictionary/tests/t/data_dictionary.test	2010-03-31 19:46:42 +0000
@@ -30,7 +30,6 @@
 show create table INDEX_PARTS ;
 show create table REFERENTIAL_CONSTRAINTS ;
 show create table SCHEMAS ;
-show create table SCHEMA_NAMES;
 show create table TABLES ;
 show create table TABLE_CONSTRAINTS ;
 

=== modified file 'tests/r/data_dictionary_like_info.result'
--- tests/r/data_dictionary_like_info.result	2010-03-31 19:14:14 +0000
+++ tests/r/data_dictionary_like_info.result	2010-03-31 19:46:42 +0000
@@ -191,7 +191,7 @@
  or DATA_TYPE = 'varchar')
 group by DATA_TYPE order by DATA_TYPE, num;
 DATA_TYPE	group_concat(table_schema, '.', table_name)	num
-VARCHAR	DATA_DICTIONARY.CHARACTER_SETS,DATA_DICTIONARY.CHARACTER_SETS,DATA_DICTIONARY.CHARACTER_SETS,DATA_DICTIONARY.COLLATIONS,DATA_DICTIONARY.COLLATIONS,DATA_DICTIONARY.COLLATIONS,DATA_DICTIONARY.COLLATIONS,DATA_DICTIONARY.COLLATIONS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.GLOBAL_STATEMENTS,DATA_DICTIONARY.GLOBAL_STATEMENTS,DATA_DICTIONARY.GLOBAL_STATUS,DATA_DICTIONARY.GLOBAL_STATUS,DATA_DICTIONARY.GLOBAL_VARIABLES,DATA_DICTIONARY.GLOBAL_VARIABLES,DATA_DICTIONARY.INDEXES,DATA_DICTIONARY.INDEXES,DATA_DICTIONARY.INDEXES,DATA_DICTIONARY.INDEXES,DATA_DICTIONARY.INDEXES,DATA_DICTIONARY.INDEXES,DATA_DICTIONARY.INDEXES,DATA_DICTIONARY.INDEXES,DATA_DICTIONARY.INDEX_PART	144
+VARCHAR	DATA_DICTIONARY.CHARACTER_SETS,DATA_DICTIONARY.CHARACTER_SETS,DATA_DICTIONARY.CHARACTER_SETS,DATA_DICTIONARY.COLLATIONS,DATA_DICTIONARY.COLLATIONS,DATA_DICTIONARY.COLLATIONS,DATA_DICTIONARY.COLLATIONS,DATA_DICTIONARY.COLLATIONS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.COLUMNS,DATA_DICTIONARY.GLOBAL_STATEMENTS,DATA_DICTIONARY.GLOBAL_STATEMENTS,DATA_DICTIONARY.GLOBAL_STATUS,DATA_DICTIONARY.GLOBAL_STATUS,DATA_DICTIONARY.GLOBAL_VARIABLES,DATA_DICTIONARY.GLOBAL_VARIABLES,DATA_DICTIONARY.INDEXES,DATA_DICTIONARY.INDEXES,DATA_DICTIONARY.INDEXES,DATA_DICTIONARY.INDEXES,DATA_DICTIONARY.INDEXES,DATA_DICTIONARY.INDEXES,DATA_DICTIONARY.INDEXES,DATA_DICTIONARY.INDEXES,DATA_DICTIONARY.INDEX_PART	143
 Warnings:
 Warning	1260	1 line(s) were cut by GROUP_CONCAT()
 create table t1(f1 char(1) not null, f2 char(9) not null);

=== modified file 'tests/r/information_schema.result'
Binary files tests/r/information_schema.result and tests/r/information_schema.result differ
